function h=makeFig(n,flags)
% makeFig <make Figure n>
% Usage:: h=makeFigFig(n,flags)
%

% revision history:
% 02/08/21 Mark D. Shattuck <mds> makeFig.m
% 02/09/20 mds SPDensity.m
% 02/14/20 mds Example.m
% 02/22/20 mds SPVib.m

%% Parse Input
if(~exist('flags','var') || isempty(flags))
  flags=false; %#ok<NASGU>
end

%% Main
switch n
  case 0 % make any static images
    clf;
    h={'vcontrol_schem.png','vcontrol_bb.png','rules.png','vcontrol.jpg'...
      'demomode.png'};
    if(~exist(h{1},'file')) % vcontrol_scheme
      exe='C:\Downloads\Installed\fritzing.0.9.3b.64.pc\Fritzing.exe';
      system(sprintf('%s vcontrol.fzz',exe));
      cc=255*[1 0 0];
      im=imread(h{1});
      [~,n,e]=fileparts(h{1});
      imwrite(im,[n '_org' e]);
      im=addRectIm(im,[1000 150 420 500],10,cc);
      im=addRectIm(im,[30 280 100 400],10,cc);
      imwrite(im,h{1});
    end
    if(~exist(h{2},'file')) % vcontrol_bb
      exe='C:\Downloads\Installed\fritzing.0.9.3b.64.pc\Fritzing.exe';
      system(sprintf('%s vcontrol.fzz',exe));
      cc=255*[1 0 0];
      im=imread(h{2});
      [~,n,e]=fileparts(h{2});
      imwrite(im,[n '_org' e]);
      im=addRectIm(im,[722,1,1050,1450],10,cc);
      imwrite(im,h{2});
    end
    if(~exist(h{3},'file')) % rules
      VMOilExp('com5');
      im1=getframe();
      imwrite(im1.cdata,h{3});
    end
    if(~exist(h{4},'file')) % vcontrol
      im=double(permute(imread('IMG_1961.JPG'),[1 2 3]))/256;
      im1=im(1:2500,1000:3800,:);
      cc=[1 1 0];
      im1=addRectIm(im1,[1700,1300,900,1050],20,cc);
      im1=addRectIm(im1,[1200 1300 450 400],20,cc);
      im1=addRectIm(im1,[750 400 250 300],20,cc);
      im1=addRectIm(im1,[800 1000 100 250],20,cc);
      imwrite(im1,h{4});
    end
    if(~exist(h{5},'file')) % demomode
      VMOilExp('com5',true);
      im1=getframe();
      imwrite(im1.cdata,h{5});
    end
  case 1
    [nn,bb]=hist(sum(rand(10,1e6)>.8),0:10);
    bar(bb,nn/sum(nn)*100,1);
    set(gca,'fontsize',20);
    axis([-.5 10.5 0 35]);
    xlabel('Excess electron count');
    ylabel('% Chance');
  otherwise
    h=-1;
end

