function [E0,E]=visco(T,P,D)
% visco <Viscosity E0(T) as effective viscosity E(T,P,D)>
% (T)emperature in degC, (P)ressure in Pa, (D)iameter in meters
% Usage:: [E0,E]=visco(T[25],P[101099],D[1e-6])
%

% revision history:
% 05/24/21 Mark D. Shattuck <mds> visco.m

%% Parse Input
if(~exist('T','var') || isempty(T))
	T=25;
end

if(~exist('P','var') || isempty(P))
	P=101099;
end

if(~exist('D','var') || isempty(D))
	D=1e-6;
end

%% Main
T=T+273.15;
T0=15+273.15;
E0=1.8e-5*(T/T0).^1.5.*(T0+113)./(T+113);
E=E0*(1./(1+2*8.2e-3/P./D));
end


